org.apache.fop.render.pcl.fonts.truetype

## Class PCLTTFPOSTFontTable

- java.lang.Object
- - org.apache.fop.render.pcl.fonts.truetype.PCLTTFTable
  - - org.apache.fop.render.pcl.fonts.truetype.PCLTTFPOSTFontTable

-     public class PCLTTFPOSTFontTable
      extends PCLTTFTable

- - ### Field Summary

    - ### Fields inherited from class org.apache.fop.render.pcl.fonts.truetype.PCLTTFTable

      `reader`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PCLTTFPOSTFontTable(FontFileReader in)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getIsFixedPitch()`
    `int` | `getUnderlinePosition()`
    `int` | `getUnderlineThickness()`

    - ### Methods inherited from class org.apache.fop.render.pcl.fonts.truetype.PCLTTFTable

      `skipByte, skipLong, skipShort`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PCLTTFPOSTFontTable

          public PCLTTFPOSTFontTable(FontFileReader in)
                              throws java.io.IOException

      Throws:
        `java.io.IOException`

  - ### Method Detail

    - #### getUnderlinePosition

          public int getUnderlinePosition()

    - #### getUnderlineThickness

          public int getUnderlineThickness()

    - #### getIsFixedPitch

          public int getIsFixedPitch()

Copyright 1999-2020 The Apache Software Foundation. All Rights Reserved.